%define upstream_name    Test-Expect
%define upstream_version 0.34

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:	Automated driving and testing of terminal-based programs
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:  perl(Expect::Simple)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Class::Accessor::Chained)
BuildArch:      noarch


%description
Test::Expect is a module for automated driving and testing of terminal-based
programs. It is handy for testing interactive programs which have a prompt, and
is based on the same concepts as the Tcl Expect tool.

Test::Expect is intended for use in a test script.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL INSTALLDIRS=vendor

%install
./Build install destdir=%buildroot installdirs=vendor
rm -rf $RPM_BUILD_ROOT/%{perl_vendorarch}

%check
./Build test

%files
%doc CHANGES README
%{perl_vendorlib}/*
%{_mandir}/man3/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.340.0-6.mga10
+ Revision: 2204752
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.340.0-5.mga9
+ Revision: 1810350
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.340.0-4.mga8
+ Revision: 1506386
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.340.0-3.mga7
+ Revision: 1286429
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.340.0-2.mga7
+ Revision: 1166753
- rebuild with fixed rpm for missing autodeps

* Thu Aug 17 2017 sander85 <sander85> 0.340.0-1.mga7
+ Revision: 1141331
- update to 0.34

* Sun Jun 19 2016 pterjan <pterjan> 0.330.0-3.mga6
+ Revision: 1034284
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.330.0-2.mga6
+ Revision: 967518
- Mageia 6 Mass Rebuild

* Tue Jun 30 2015 sander85 <sander85> 0.330.0-1.mga6
+ Revision: 849158
- update to 0.33

* Wed Oct 15 2014 umeabot <umeabot> 0.310.0-5.mga5
+ Revision: 741087
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.310.0-4.mga5
+ Revision: 686434
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.310.0-3.mga4
+ Revision: 515125
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.310.0-2.mga3
+ Revision: 373498
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 jquelin <jquelin> 0.310.0-1.mga1
+ Revision: 36604
- mageia rebuild
- imported package perl-Test-Expect


* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.310.0-1mdv2010.0
+ Revision: 406186
- rebuild using %%perl_convert_version

* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.31-2mdv2009.0
+ Revision: 268733
- rebuild early 2009.0 package (before pixel changes)

* Sat May 10 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.31-1mdv2009.0
+ Revision: 205398
- update to new version 0.31

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.30-3mdv2008.1
+ Revision: 136360
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon May 07 2007 Olivier Thauvin <nanardon@mandriva.org> 0.30-3mdv2008.0
+ Revision: 23808
- rebuild


* Fri Apr 28 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.30-2mdk
- Fix SPEC according to Perl Policy
	- BuildRequires
	- Source URL

* Thu Mar 02 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.30-1mdk
- 0.30

* Tue Dec 27 2005 Michael Scherer <misc@mandriva.org> 0.29-4mdk
- Do not ship empty dir

* Mon Oct 03 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.29-3mdk
- Fix BuildRequires

* Fri Sep 30 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.29-2mdk
- Buildrequires fix

* Sat Sep 24 2005 Michael Scherer <misc@mandriva.org> 0.29-1mdk
- First mandriva package

